Bug 157065 - [MAINTAINER] Update port: mail/mailscanner to 4.83.5 and fix package
Summary: [MAINTAINER] Update port: mail/mailscanner to 4.83.5 and fix package
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-15 15:50 UTC by Chris Rees
Modified: 2011-06-19 12:10 UTC (History)
0 users

See Also:


Attachments
file.diff (27.36 KB, patch)
2011-05-15 15:50 UTC, Chris Rees
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-05-15 15:50:09 UTC
MailScanner has had a minor update to 4.83.5, which is in the attached patch.

The main focus of this PR is to improve the handling of config files etc installed by MailScanner; currently one must run the inital-config target manually to get config files installed, which means users of pkg_add -r with no ports tree installed are left out.

The functionality of those targets is moved into pkg-install, and since it's automatic on installation it should be automatic on deinstallation; I've written a pkg-deinstall to do the opposite.

There's a patch for a note in UPDATING to warn about these changes and suggest backing up configs [1].

Fix: - Update to 4.83.5
- Automate config file updates
- Include config file handling in binary package


Submitted by: Chris Rees (utisoft@gmail.com) (maintainer)

New files:____files/pkg-deinstall.in
______________files/pkg-install.in

Removed files:files/rcwarning.txt [ancient]
______________files/CHANGES.port__[can be found easily on WWW:]

UPDATING patch:

[1] http://www.bayofrum.net/~crees/patches/mailscanner-UPDATING.patch

Patch attached with submission follows:
Comment 1 Chris Rees 2011-05-15 16:14:15 UTC
Of course, as I look again at the Tinderbox output I notice:

>> Installing files in /usr/local/share/MailScanner... [DONE]
>> Installing files in /usr/local/lib...>> Installing docs and manpage... [DONE]
                                               ^^^^^^^^^^^^^^^^^

It's always the trivial things that get missed isn't it....

New patch at [1] -- the only difference is an extra @${ECHO_MSG} "
[DONE]" in the right place.

Chris

[1] http://www.bayofrum.net/~crees/patches/mailscanner-4.83.5.patch
Comment 2 Chris Rees 2011-05-18 09:32:40 UTC
Hi again,

After some feedback on ports@, I've reconsidered removing
files/CHANGES.port.

New patch at [1], it also sets o+w permissions on config files.

Chris

New files:

files/pkg-deinstall.in
files/pkg-install.in

Removed files:

files/rcwarning.txt [ancient and irrelevant]

[1] http://www.bayofrum.net/~crees/patches/mailscanner-4.83.5__2.patch
Comment 3 Rene Ladan freebsd_committer 2011-06-03 15:00:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 4 Rene Ladan freebsd_committer 2011-06-11 18:01:19 UTC
Responsible Changed
From-To: rene->crees

Over to new committer
Comment 5 dfilter service freebsd_committer 2011-06-18 17:35:22 UTC
crees       2011-06-18 16:35:08 UTC

  FreeBSD ports repository

  Modified files:
    mail/mailscanner     Makefile distinfo pkg-plist 
    mail/mailscanner/files CHANGES.port pkg-message.in 
  Added files:
    mail/mailscanner/files pkg-deinstall.in pkg-install.in 
  Removed files:
    mail/mailscanner/files rcwarning.txt 
  Log:
  - Update to 4.83.5
  - Automate config file updates
  - Include config file handling in package
  - Update maintainer address
  
  PR:             ports/157065
  Submitted by:   Chris Rees (utisoft@gmail.com) (self)
  Reviewed by:    Kevin Kobb
  Approved by:    tabthorpe (co-mentor)
  
  Revision  Changes    Path
  1.96      +81 -181   ports/mail/mailscanner/Makefile
  1.60      +2 -2      ports/mail/mailscanner/distinfo
  1.27      +6 -0      ports/mail/mailscanner/files/CHANGES.port
  1.1       +79 -0     ports/mail/mailscanner/files/pkg-deinstall.in (new)
  1.1       +115 -0    ports/mail/mailscanner/files/pkg-install.in (new)
  1.7       +11 -23    ports/mail/mailscanner/files/pkg-message.in
  1.3       +0 -18     ports/mail/mailscanner/files/rcwarning.txt (dead)
  1.43      +27 -29    ports/mail/mailscanner/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2011-06-19 12:00:33 UTC
crees       2011-06-19 11:00:20 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING 
  Log:
  - Add UPDATING note for mailscanner
  
  PR:             ports/157065
  Submitted by:   Chris Rees (utisoft@gmail.com) (self)
  Approved by:    rene (mentor)
  
  Revision  Changes    Path
  1.1080    +16 -1     ports/UPDATING
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Chris Rees freebsd_committer 2011-06-19 12:00:35 UTC
State Changed
From-To: open->closed

Committed.